/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SCOUT_PRINT_H
#define SCOUT_PRINT_H


/* Structures definies par d'autres modules */


#include "server/scoutPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_SCOUT_STATE_POSTER_STR ( buf_t buf, struct SCOUT_STATE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_REFERENCES_POSTER_STR ( buf_t buf, struct SCOUT_REFERENCES_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SENSORSCONFIG_POSTER_STR ( buf_t buf, struct SCOUT_SENSORSCONFIG_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SONARS_POSTER_STR ( buf_t buf, struct SCOUT_SONARS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_BUMPER_POSTER_STR ( buf_t buf, struct SCOUT_BUMPER_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_ROBOT_POSTER_STR ( buf_t buf, struct SCOUT_ROBOT_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_STR ( buf_t buf, struct SCOUT_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_BATTERIES_STR ( buf_t buf, struct SCOUT_BATTERIES_STR *x, int nDim, int *dims);
void buf_add_enum_SCOUT_BATTERY_STATE ( buf_t buf, enum SCOUT_BATTERY_STATE *x, int nDim, int *dims);
void buf_add_enum_SCOUT_ALARMS_TYPE ( buf_t buf, enum SCOUT_ALARMS_TYPE *x, int nDim, int *dims);
void buf_add_struct_SCOUT_ALARMS ( buf_t buf, struct SCOUT_ALARMS *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SONARS_FIRING_ORDER ( buf_t buf, struct SCOUT_SONARS_FIRING_ORDER *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SONARS_ECHO_XY ( buf_t buf, struct SCOUT_SONARS_ECHO_XY *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SONARS_ECHO_RHO ( buf_t buf, struct SCOUT_SONARS_ECHO_RHO *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SONARS_CONFIG ( buf_t buf, struct SCOUT_SONARS_CONFIG *x, int nDim, int *dims);
void buf_add_struct_SCOUT_BUMPERS_POS ( buf_t buf, struct SCOUT_BUMPERS_POS *x, int nDim, int *dims);
void buf_add_struct_SCOUT_BUMBERS_STATE ( buf_t buf, struct SCOUT_BUMBERS_STATE *x, int nDim, int *dims);
void buf_add_struct_SCOUT_TRACK_STR ( buf_t buf, struct SCOUT_TRACK_STR *x, int nDim, int *dims);
void buf_add_enum_SCOUT_TRACK_MODE ( buf_t buf, enum SCOUT_TRACK_MODE *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SPEED_REF_STR ( buf_t buf, struct SCOUT_SPEED_REF_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_CMD_PARAM_STR ( buf_t buf, struct SCOUT_CMD_PARAM_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_REF_STR ( buf_t buf, struct SCOUT_REF_STR *x, int nDim, int *dims);
void buf_add_enum_SCOUT_MOTION_DIRECTION ( buf_t buf, enum SCOUT_MOTION_DIRECTION *x, int nDim, int *dims);
void buf_add_struct_SCOUT_POSTER_NAME ( buf_t buf, struct SCOUT_POSTER_NAME *x, int nDim, int *dims);
void buf_add_enum_SCOUT_MOTION_TYPE ( buf_t buf, enum SCOUT_MOTION_TYPE *x, int nDim, int *dims);
void buf_add_struct_SCOUT_TURN ( buf_t buf, struct SCOUT_TURN *x, int nDim, int *dims);
void buf_add_struct_SCOUT_CONNECT_PARAM ( buf_t buf, struct SCOUT_CONNECT_PARAM *x, int nDim, int *dims);
void buf_add_enum_SCOUT_CONNECT_MODE ( buf_t buf, enum SCOUT_CONNECT_MODE *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SET_POS_STR ( buf_t buf, struct SCOUT_SET_POS_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_ODO_STR ( buf_t buf, struct SCOUT_ODO_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_ODO_VAR_STR ( buf_t buf, struct SCOUT_ODO_VAR_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_POS_STR ( buf_t buf, struct SCOUT_POS_STR *x, int nDim, int *dims);
void buf_add_struct_SCOUT_SPEEDS ( buf_t buf, struct SCOUT_SPEEDS *x, int nDim, int *dims);
void buf_add_struct_SCOUT_WHEELS_SPEED ( buf_t buf, struct SCOUT_WHEELS_SPEED *x, int nDim, int *dims);
void buf_add_enum_SCOUT_BOOL ( buf_t buf, enum SCOUT_BOOL *x, int nDim, int *dims);
void buf_add_struct_SCOUT_POS ( buf_t buf, struct SCOUT_POS *x, int nDim, int *dims);
void buf_add_struct_SCOUT_CONFIG ( buf_t buf, struct SCOUT_CONFIG *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_SCOUT_CONFIG ( buf_t buf, SCOUT_CONFIG *x, int nDim, int *dims);
void buf_add_SCOUT_POS ( buf_t buf, SCOUT_POS *x, int nDim, int *dims);
void buf_add_SCOUT_BOOL ( buf_t buf, SCOUT_BOOL *x, int nDim, int *dims);
void buf_add_SCOUT_WHEELS_SPEED ( buf_t buf, SCOUT_WHEELS_SPEED *x, int nDim, int *dims);
void buf_add_SCOUT_SPEEDS ( buf_t buf, SCOUT_SPEEDS *x, int nDim, int *dims);
void buf_add_SCOUT_POS_STR ( buf_t buf, SCOUT_POS_STR *x, int nDim, int *dims);
void buf_add_SCOUT_ODO_VAR_STR ( buf_t buf, SCOUT_ODO_VAR_STR *x, int nDim, int *dims);
void buf_add_SCOUT_ODO_STR ( buf_t buf, SCOUT_ODO_STR *x, int nDim, int *dims);
void buf_add_SCOUT_SET_POS_STR ( buf_t buf, SCOUT_SET_POS_STR *x, int nDim, int *dims);
void buf_add_SCOUT_CONNECT_MODE ( buf_t buf, SCOUT_CONNECT_MODE *x, int nDim, int *dims);
void buf_add_SCOUT_CONNECT_PARAM ( buf_t buf, SCOUT_CONNECT_PARAM *x, int nDim, int *dims);
void buf_add_SCOUT_TURN ( buf_t buf, SCOUT_TURN *x, int nDim, int *dims);
void buf_add_SCOUT_MOTION_TYPE ( buf_t buf, SCOUT_MOTION_TYPE *x, int nDim, int *dims);
void buf_add_SCOUT_POSTER_NAME ( buf_t buf, SCOUT_POSTER_NAME *x, int nDim, int *dims);
void buf_add_SCOUT_MOTION_DIRECTION ( buf_t buf, SCOUT_MOTION_DIRECTION *x, int nDim, int *dims);
void buf_add_SCOUT_REF_STR ( buf_t buf, SCOUT_REF_STR *x, int nDim, int *dims);
void buf_add_SCOUT_CMD_PARAM_STR ( buf_t buf, SCOUT_CMD_PARAM_STR *x, int nDim, int *dims);
void buf_add_SCOUT_SPEED_REF_STR ( buf_t buf, SCOUT_SPEED_REF_STR *x, int nDim, int *dims);
void buf_add_SCOUT_TRACK_MODE ( buf_t buf, SCOUT_TRACK_MODE *x, int nDim, int *dims);
void buf_add_SCOUT_TRACK_STR ( buf_t buf, SCOUT_TRACK_STR *x, int nDim, int *dims);
void buf_add_SCOUT_BUMBERS_STATE ( buf_t buf, SCOUT_BUMBERS_STATE *x, int nDim, int *dims);
void buf_add_SCOUT_BUMPERS_POS ( buf_t buf, SCOUT_BUMPERS_POS *x, int nDim, int *dims);
void buf_add_SCOUT_SONARS_CONFIG ( buf_t buf, SCOUT_SONARS_CONFIG *x, int nDim, int *dims);
void buf_add_SCOUT_SONARS_ECHO_RHO ( buf_t buf, SCOUT_SONARS_ECHO_RHO *x, int nDim, int *dims);
void buf_add_SCOUT_SONARS_ECHO_XY ( buf_t buf, SCOUT_SONARS_ECHO_XY *x, int nDim, int *dims);
void buf_add_SCOUT_SONARS_FIRING_ORDER ( buf_t buf, SCOUT_SONARS_FIRING_ORDER *x, int nDim, int *dims);
void buf_add_SCOUT_ALARMS ( buf_t buf, SCOUT_ALARMS *x, int nDim, int *dims);
void buf_add_SCOUT_ALARMS_TYPE ( buf_t buf, SCOUT_ALARMS_TYPE *x, int nDim, int *dims);
void buf_add_SCOUT_BATTERY_STATE ( buf_t buf, SCOUT_BATTERY_STATE *x, int nDim, int *dims);
void buf_add_SCOUT_BATTERIES_STR ( buf_t buf, SCOUT_BATTERIES_STR *x, int nDim, int *dims);
void buf_add_SCOUT_STR ( buf_t buf, SCOUT_STR *x, int nDim, int *dims);
void buf_add_SCOUT_ROBOT_POSTER_STR ( buf_t buf, SCOUT_ROBOT_POSTER_STR *x, int nDim, int *dims);
void buf_add_SCOUT_BUMPER_POSTER_STR ( buf_t buf, SCOUT_BUMPER_POSTER_STR *x, int nDim, int *dims);
void buf_add_SCOUT_SONARS_POSTER_STR ( buf_t buf, SCOUT_SONARS_POSTER_STR *x, int nDim, int *dims);
void buf_add_SCOUT_SENSORSCONFIG_POSTER_STR ( buf_t buf, SCOUT_SENSORSCONFIG_POSTER_STR *x, int nDim, int *dims);
void buf_add_SCOUT_REFERENCES_POSTER_STR ( buf_t buf, SCOUT_REFERENCES_POSTER_STR *x, int nDim, int *dims);
void buf_add_SCOUT_STATE_POSTER_STR ( buf_t buf, SCOUT_STATE_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* SCOUT_TCLSERV_CLIENT_ENCODE_H */

